Package com.collabnet.ce.soap60.webservices

# Class ClientSoapStubFactory

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStubFactory

public class ClientSoapStubFactory extends Object
Client side SOAP stub factory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientSoapStubFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.axis.EngineConfiguration`
  `getConfig()`
  Return custom Axis EngineConfiguration if set.
  `static ClientSoapStub`
  `getSoapStub(Class<?> soapInterface, String serverUrl)`
  Returns client-side soap stub for the specified SOAP interface.
  `static ClientSoapStub`
  `getSoapStub(Class<?> soapInterface, String serverUrl, int timeoutMs)`
  Returns client-side soap stub for the specified SOAP interface.
  `static void`
  `setConfig(org.apache.axis.EngineConfiguration config)`
  Set the custom Axis EngineConfiguration to use for factory objects.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientSoapStubFactory

    public ClientSoapStubFactory()

- ## Method Details

  - ### getConfig

    public static org.apache.axis.EngineConfiguration getConfig()
    Return custom Axis EngineConfiguration if set. Can return NULL
    Returns:
      the config

  - ### setConfig

    public static void setConfig(org.apache.axis.EngineConfiguration config)
    Set the custom Axis EngineConfiguration to use for factory objects.
    Parameters:
      `config` - the config to set

  - ### getSoapStub

    public static ClientSoapStub getSoapStub(Class<?> soapInterface, String serverUrl)
    Returns client-side soap stub for the specified SOAP interface.
    Parameters:
      `soapInterface` - SOAP interface for which to return the stub.
      `serverUrl` - SOAP server URL.
    Returns:
      Client side soap stub.

  - ### getSoapStub

    public static ClientSoapStub getSoapStub(Class<?> soapInterface, String serverUrl, int timeoutMs)
    Returns client-side soap stub for the specified SOAP interface.
    Parameters:
      `soapInterface` - SOAP interface for which to return the stub.
      `serverUrl` - SOAP server URL.
      `timeoutMs` - sets the http timeout (in ms) for all calls made by the soap stub
    Returns:
      Client side soap stub.